cURL
curl --request POST \ --url https://api.agentpowers.ai/v1/oauth/register \ --header 'Content-Type: application/json' \ --data ' { "client_name": "<string>", "redirect_uris": [ "<string>" ], "grant_types": [ "authorization_code", "refresh_token" ], "response_types": [ "code" ], "token_endpoint_auth_method": "client_secret_post" } '
{ "client_id": "<string>", "client_secret": "<string>", "client_name": "<string>", "redirect_uris": [ "<string>" ], "grant_types": [ "<string>" ], "response_types": [ "<string>" ], "token_endpoint_auth_method": "<string>" }
Register a new OAuth client dynamically (rate-limited).
Documentation IndexFetch the complete documentation index at: https://docs.agentpowers.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
Use this file to discover all available pages before exploring further.
Successful Response
Was this page helpful?